package ejemplo;

import com.sun.media.ui.*;
import javax.media.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import java.awt.*;
import java.net.*;

class FPlayer extends JInternalFrame implements ControllerListener {
    Player mplayer;
    Component visual = null;
    Component control = null;
    
    int videoWidth = 0;
    int videoHeight = 0;
    int controlHeight = 30;
    int insetWidth = 10;
    int insetHeight = 30;
    
    public FPlayer(URL url, String titulo) {        
        super(titulo, true, true, true, true);
        getContentPane().setLayout(new BorderLayout());
        setSize(320, 10);
        setLocation(50, 50);
        setVisible(true);

			  // Crear una instancia del player para dicho archivo        
        Manager.setHint(Manager.LIGHTWEIGHT_RENDERER, new Boolean(true));
        try{
            mplayer = Manager.createPlayer(url);
        }catch(IOException e){
            new MessageBox("JMF Error", e.toString());
        }catch(NoPlayerException e){
            new MessageBox("JMF Error", e.toString());
        }
        mplayer.addControllerListener((ControllerListener) this);
        mplayer.realize();
        addInternalFrameListener( new IFAPlayer(mplayer));
    }
    
    public void controllerUpdate(ControllerEvent ce) {
        if (ce instanceof RealizeCompleteEvent) {
            mplayer.prefetch();
        }else if (ce instanceof PrefetchCompleteEvent) {
            if (visual != null)
                return;
            if ((visual = mplayer.getVisualComponent()) != null) {
                Dimension size = visual.getPreferredSize();
                videoWidth = size.width;
                videoHeight = size.height;
                getContentPane().add("Center", visual);
            }else
                videoWidth = 320;
            if ((control = mplayer.getControlPanelComponent()) != null) {
                controlHeight = control.getPreferredSize().height;
                getContentPane().add("South", control);
            }
            setSize(videoWidth + insetWidth,
            videoHeight + controlHeight + insetHeight);
            validate();
            mplayer.start();
        }else if (ce instanceof EndOfMediaEvent) {
            mplayer.setMediaTime(new Time(0));
            mplayer.start();
        }
    }
}