package ejemplo;

import com.sun.media.ui.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;

public class MDIApp extends JFrame implements ActionListener {

    JDesktopPane desktop;
    FileDialog fd = null;
    
    public MDIApp() {
        super("Java Media Player");
        setLayout(new BorderLayout());
        desktop = new JDesktopPane();   //Aadimos un escritorio al Frama
        desktop.setDoubleBuffered(true);
        add("Center", desktop);
        setJMenuBar(createMenuBar());   //Creamos una barra de men 
        setSize(640, 480);
        setVisible(true);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }
    
    private JMenuBar createMenuBar() {
        JMenuItem item;
        JMenuBar mb = new JMenuBar();
        
        // Menu Archivos
        JMenu mnFile = new JMenu("Archivo");
        mnFile.add(item = new JMenuItem("Abrir"));
        item.addActionListener(this);
        mnFile.add(item = new JMenuItem("Salir"));
        item.addActionListener(this);
        mb.add(mnFile);
        return mb;
    }			

    public void actionPerformed(ActionEvent ae) {
        URL url = null;                             // URL del archivo
        String command = ae.getActionCommand();
        
        if (command.equals("Abrir")) {
            if (fd == null)
                fd = new FileDialog(MDIApp.this, "Abrir Fichero", FileDialog.LOAD);
            fd.setVisible(true);
            if (fd.getFile() != null){
                String nombreArchivo = new String("file:" + fd.getDirectory() + fd.getFile());
                try{
                    if ((url = new URL(nombreArchivo)) == null) {
                        new MessageBox("JMF Error", "Imposible construir una URL para " + nombreArchivo);
                    }else{
                        FPlayer jmframe = new FPlayer(url, nombreArchivo);
                        desktop.add(jmframe);
                    }
                }catch(MalformedURLException e){
                    new MessageBox("JMF Error", e.toString());
                }
            }
        }else if (command.equals("Salir")) {
            dispose();
            System.exit(0);
        }
    }      
}

